Page MenuHomePhabricator

'run show openvpn client-status' is not displaying local tunnel address
Closed, WontfixPublicBUG

Description

manager@gw:~$ show openvpn client status

OpenVPN client status on vtun0 []

Server CN       Remote IP       Tunnel IP       TX byte RX byte Connected Since
---------       ---------       ---------       ------- ------- ---------------
N/A            x.x.x.x     N/A              667.7K  661.3K N/A

Details

Difficulty level
Normal (likely a few hours)
Version
1.1.8
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin created this task.Jun 6 2018, 6:49 AM
dmbaturin moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.0-rc1) board.
syncer triaged this task as Low priority.Jun 10 2018, 2:24 AM
pasik added a subscriber: pasik.Aug 19 2018, 8:12 AM
WiXZlo added a subscriber: WiXZlo.
syncer assigned this task to hagbard.Feb 7 2019, 11:24 PM
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.2) board.
hagbard changed the task status from Open to In progress.Feb 15 2019, 6:37 PM
hagbard changed the task status from In progress to On hold.Feb 15 2019, 7:00 PM

The client status file information is quite different compared to the one from a server config, I couldn't find a way yet to retrieve the information for the table.

client:

foreach ($list as $iOpenVPN STATISTICS
Updated,Fri Feb 15 18:52:37 2019
TUN/TAP read bytes,304
TUN/TAP write bytes,0
TCP/UDP read bytes,5742
TCP/UDP write bytes,6086
Auth read bytes,704
END
tem) {
  work_miracles($item);
}

server:

OpenVPN CLIENT LIST
Updated,Fri Feb 15 18:53:37 2019
Common Name,Real Address,Bytes Received,Bytes Sent,Connected Since
clientside,10.1.1.112:59332,6192,5848,Fri Feb 15 18:45:39 2019
ROUTING TABLE
Virtual Address,Common Name,Real Address,Last Ref
192.168.10.2,clientside,10.1.1.112:59332,Fri Feb 15 18:45:39 2019
GLOBAL STATS
Max bcast/mcast queue length,0
END

I can remove the fields from the output which show N/A if necessary, the information is not exposed and the client connection status can only be seen if the RX/TX bytes increment.

hagbard closed this task as Wontfix.Feb 27 2019, 8:58 PM

That information is not easily visible, never been according to the openvpn folks.